Sign in Start for free

Ssh Known Hosts

Get a list of SSH Known Hosts

GET /api/sshknownhosts

Query Parameters

  • partialHost string
    Filters known hosts matching any part of the host fragment.
  • skip integer
    Number of items to skip. Defaults to zero. Minimum 0.
  • take integer
    Number of items to take. Defaults to 30. Minimum 0.

Response

200 — Contains a list of SSH Known Hosts

  • FilteredCount integer
  • Resources array of object
    • Host string
    • Id string
    • KeyType string
    • PublicKey string
  • TotalCount integer

Example Response

JSON
{
  "FilteredCount": 0,
  "Resources": [
    {
      "Host": "string",
      "Id": "SshKnownHosts-1",
      "KeyType": "string",
      "PublicKey": "string"
    }
  ],
  "TotalCount": 0
}

Add new SSH Known Hosts from a list of entries

POST /api/sshknownhosts

Request Body

  • KnownHostEntries array of string (required)

Response

200 — Contains a list of added SSH Known Hosts

  • AddedResources array of object
    • Host string
    • Id string
    • KeyType string
    • PublicKey string

Example Request

JSON
{
  "KnownHostEntries": [
    "string"
  ]
}

Example Response

JSON
{
  "AddedResources": [
    {
      "Host": "string",
      "Id": "SshKnownHosts-1",
      "KeyType": "string",
      "PublicKey": "string"
    }
  ]
}

Delete the specific SSH Known Host

DELETE /api/sshknownhosts/{id}

Path Parameters

  • id string (required)

Response

200 — An empty response

Example Response

JSON
{}